HQInvokerLocator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.transport.util.HQInvokerLocator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.transport.util
Class HQInvokerLocator

    java.lang.Object
      org.jboss.remoting.InvokerLocator
          org.hyperic.hq.transport.util.HQInvokerLocator

All Implemented Interfaces:
  java.io.Serializable

    public class HQInvokerLocator

extends org.jboss.remoting.InvokerLocator

The invoker locator containing configuration specific to the HQ transport.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `UNKNOWN_AGENT_TOKEN` The default value for the agent token when the agent token is not yet known.

Fields inherited from class org.jboss.remoting.InvokerLocator
`ANY, BIND_BY_HOST, BYVALUE, CLIENT_LEASE, CLIENT_LEASE_PERIOD, DATATYPE, DATATYPE_CASED, FORCE_REMOTE, host, LEGACY_PARSING, legacyParsingFlag, LOADER_PORT, log, MARSHALLER, parameters, path, port, protocol, query, SERIALIZATIONTYPE, SERIALIZATIONTYPE_CASED, UNMARSHALLER`

Constructor Summary
`HQInvokerLocator(java.lang.String protocol, java.lang.String host, int port, java.lang.String path, java.util.Map parameters)` Creates an instance where the agent token is not yet known.
`HQInvokerLocator(java.lang.String protocol, java.lang.String host, int port, java.lang.String path, java.util.Map parameters, java.lang.String agentToken)` Creates an instance.

Method Summary
`HQInvokerLocator` | `cloneWithNewAgentToken(java.lang.String agentToken)` Clone this instance of HQ invoker locator, setting the agent token to a new value.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAgentToken()`
`MessageDeliveryOptions` | `getMessageDeliveryOptions()` Retrieve the thread local message delivery options.
`int` | `hashCode()`
`boolean` | `isAgentTokenKnown()`
`void` | `setMessageDeliveryOptions(MessageDeliveryOptions options)` Set the message delivery options on a thread local.
`org.jboss.remoting.InvokerLocator` | `toInvokerLocator()`

Methods inherited from class org.jboss.remoting.InvokerLocator
`findSerializationType, getHost, getLocatorURI, getOriginalURI, getParameters, getPath, getPort, getProtocol, getUseLegacyParsing, isSameEndpoint, narrow, setUseLegacyParsing, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_AGENT_TOKEN

    public static final java.lang.String UNKNOWN_AGENT_TOKEN

  The default value for the agent token when the agent token is not yet known.

  See Also:
    Constant Field Values

Constructor Detail

### HQInvokerLocator

    public HQInvokerLocator(java.lang.String protocol,
                            java.lang.String host,
                            int port,
                            java.lang.String path,
                            java.util.Map parameters,
                            java.lang.String agentToken)

  Creates an instance.

  Parameters:
    `protocol` - The protocol.
    `host` - The remote host.
    `port` - The port on the remote host.
    `path` - The invoker locator path or `null`.
    `parameters` - The invoker locator parameters or `null`.
    `agentToken` - The agent token.
  Throws:
    `java.lang.NullPointerException` - if the agent token is `null`.
    `java.lang.IllegalArgumentException` - if the agent token is assigned the value `UNKNOWN_AGENT_TOKEN`.

### HQInvokerLocator

    public HQInvokerLocator(java.lang.String protocol,
                            java.lang.String host,
                            int port,
                            java.lang.String path,
                            java.util.Map parameters)

  Creates an instance where the agent token is not yet known.

  Parameters:
    `protocol` - The protocol.
    `host` - The remote host.
    `port` - The port on the remote host.
    `path` - The invoker locator path or `null`.
    `parameters` - The invoker locator parameters or `null`.

Method Detail

### toInvokerLocator

    public org.jboss.remoting.InvokerLocator toInvokerLocator()

  Returns:
    An invoker locator instance with the same connection info as this HQ invoker locator.

### cloneWithNewAgentToken

    public HQInvokerLocator cloneWithNewAgentToken(java.lang.String agentToken)

  Clone this instance of HQ invoker locator, setting the agent token to a new value. Note that the `MessageDeliveryOptions` are not guaranteed to be passed to the cloned instance.

  Parameters:
    `agentToken` - The new agent token value.
  Returns:
    The cloned instance.
  Throws:
    `java.lang.NullPointerException` - if the agent token is `null`.
    `java.lang.IllegalArgumentException` - if the agent token is assigned the value `UNKNOWN_AGENT_TOKEN`.

### getAgentToken

    public java.lang.String getAgentToken()

  Returns:
    The agent token or `UNKNOWN_AGENT_TOKEN` if the agent token is not yet known.

### isAgentTokenKnown

    public boolean isAgentTokenKnown()

  Returns:
    `true` if the agent token is known; `false` otherwise.

### setMessageDeliveryOptions

    public void setMessageDeliveryOptions(MessageDeliveryOptions options)

  Set the message delivery options on a thread local.

  Parameters:
    `options` - The message delivery options.
  Throws:
    `java.lang.NullPointerException` - if the message delivery options is `null`.

### getMessageDeliveryOptions

    public MessageDeliveryOptions getMessageDeliveryOptions()

  Retrieve the thread local message delivery options. By default returns a synchronous message delivery options.

  Returns:
    The message delivery options.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `org.jboss.remoting.InvokerLocator`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `org.jboss.remoting.InvokerLocator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.